## smartcardauth 14.0.6

=== debian/changelog ===
smartcardauth (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:37:19 +0100

smartcardauth (1.0-3ubuntu5) karmic; urgency=low

  * Karmic build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 23 Jul 2009 10:42:00 -0600

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_BUILD_OPTIONS := nostrip
export DEB_BUILD_OPTIONS = debug nostrip

CFLAGS=-g -Wall -fPIC

DEB_MAKE_INSTALL_TARGET := install DESTDIR="$(DEB_DESTDIR)"
DEB_INSTALL_DOCS_ALL :=

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_DH_SHLIBDEPS_ARGS_ALL=--dpkg-shlibdeps-params=--ignore-missing-info

## smartcardauth 14.0.8

=== debian/changelog ===
smartcardauth (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:46 +0200

## smartcardauth 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( smartcardauth )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )


##### scriptor_standalone (executable)

file( READ scriptor_standalone.pl SCRIPTOR )
string( REPLACE "scriptor" "scriptor_standalone" SCRIPTOR_STANDALONE "${SCRIPTOR}" )
file( WRITE ${CMAKE_CURRENT_BINARY_DIR}/scriptor_standalone.pl "${SCRIPTOR_STANDALONE}" )

add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/scriptor_standalone
    COMMAND ${PERL_PAR_PACKER}
        -a ${PERL_LIB_CHIPCARD}
        -o ${CMAKE_CURRENT_BINARY_DIR}/scriptor_standalone
        ${CMAKE_CURRENT_BINARY_DIR}/scriptor_standalone.pl
    COMMENT "Build scriptor_standalone"
)

add_custom_target( scriptor_standalone-binary ALL
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/scriptor_standalone
)

install(
    PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/scriptor_standalone
    DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    DIRECTORY etc/
    DESTINATION ${SYSCONF_INSTALL_DIR}
)

file( GLOB SCRIPTS usr/bin/* )

install(
    PROGRAMS ${SCRIPTS}
    DESTINATION ${BIN_INSTALL_DIR}
)

file( GLOB INITRAMFS_HOOKS usr/share/initramfs-tools/hooks/* )

install(
    PROGRAMS ${INITRAMFS_HOOKS}
    DESTINATION ${SHARE_INSTALL_PREFIX}/initramfs-tools/hooks
)

install(
    DIRECTORY
        usr/share/applications
        usr/share/icons
    DESTINATION ${SHARE_INSTALL_PREFIX}
)

## smartcardauth 14.0.10

=== debian/changelog ===
smartcardauth (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: smartcardauth
Section: tde
Priority: extra
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: debhelper (>= 9~), cdbs, quilt, cmake, libperl-dev, libpcsclite1, libpcsc-perl, libpar-packer-perl, libdb-dev (>= 4.7), libpam0g-dev, libssl-dev, libtqtinterface-dev, tdelibs-trinity
Standards-Version: 3.8.4

Package: smartcardauth
Architecture: any
Depends: ${shlibs:Depends}, pcsc-tools, pcscd-nodbus | pcscd (>= 1.7~), initramfs-tools, libpcsc-perl, libpcsclite1, libccid, opensc, zenity, gksu
Replaces: smartcardauth (<< 4:14.0.0~)
Breaks: smartcardauth (<< 4:14.0.0~)
Conflicts: openct
Description: SmartCard Login and LUKS Decrypt, Setup Utility
 This utility will allow you to set up your computer to accept a SmartCard as an authentication source for:
 - Your encrypted LUKS partition
 - TDE3.x, including automatic login, lock, and unlock features
 It is designed to work with any ISO 7816-1,2,3,4 compliant smartcard
 Examples of such cards are:
 - The Schlumberger MultiFlex
 - The ACS ACOS5 / ACOS6 series of cryptographic ISO 7816 cards
 If a card is chosen that has PKSC support, such as the ACOS cards, this utility can run
 simultaneously with the certificate reading program(s) to provide single sign on
 in addition to the PKCS certificate functionality

## smartcardauth 14.0.11

=== debian/changelog ===
smartcardauth (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 09:42:18 +0200

## smartcardauth 14.0.13

=== debian/changelog ===
smartcardauth (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 12:25:34 +0200

## smartcardauth 14.1.0

=== debian/changelog ===
smartcardauth (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## smartcardauth 14.1.1

=== debian/changelog ===
smartcardauth (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## smartcardauth 14.1.2

=== debian/changelog ===
smartcardauth (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 13:28:49 +0100

## smartcardauth 14.1.3

=== debian/changelog ===
smartcardauth (4:14.1.3-0raspbian10.0.0+0) raspbian-buster; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:32:33 +0200

=== debian/control ===
Source: smartcardauth
Section: tde
Priority: extra
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, pkg-config, libpkcs11-helper1-dev, libgnutls-dev | libgnutls28-dev | libgnutls30-dev
Standards-Version: 3.8.4

Package: smartcardauth
Architecture: any
Depends: ${shlibs:Depends}, pcsc-tools, pcscd (>= 1.7~), initramfs-tools, libpcsc-perl, libpcsclite1, libccid, opensc, libpam-heimdal, psmisc, xxd
Recommends: libpam-ccreds, libpam-ck-connector, libpam-pkcs11, libpam-mount
Replaces: smartcardauth (<< 4:14.0.0~)
Breaks: smartcardauth (<< 4:14.0.0~)
Conflicts: openct
Description: SmartCard Login and LUKS Decrypt, Setup Utility
 This utility will allow you to set up your computer to accept a SmartCard as an authentication source for:
 - Your encrypted LUKS partition
 - TDE R14.x, including automatic login, lock, and unlock features
 It is designed to work with any OpenSC-supported, ISO 7816-4,-8 compliant, PKCS#11 enabled smartcard
 Examples of such cards are:
 - The OpenPGP card (ISO ISO 7816-4,-8 compliant)

## smartcardauth 14.1.4

=== debian/changelog ===
smartcardauth (4:14.1.4-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 03 Apr 2025 14:10:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_BUILD_OPTIONS := nostrip
export DEB_BUILD_OPTIONS = debug nostrip

CFLAGS=-g -Wall -fPIC

DEB_MAKE_INSTALL_TARGET := install DESTDIR="$(DEB_DESTDIR)"
DEB_INSTALL_DOCS_ALL :=

# The default gzip compressor has been changed in dpkg >= 1.17.0.
deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
                         sed -e "s|.*version ||" -e "s| .*||" | \
                         xargs -r dpkg --compare-versions 1.17.0 lt \
                         && echo xz || echo gzip)
ifeq ($(deb_default_compress),gzip)
DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)
endif

DEB_DH_SHLIBDEPS_ARGS_ALL=--dpkg-shlibdeps-params=--ignore-missing-info

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"

## smartcardauth 14.1.5~pre0

=== debian/changelog ===
smartcardauth (4:14.1.5~pre0-0ubuntu25.10.0+1) questing; urgency=low

  * Automated git build for ef1870aa4045524ceca8efdfa595d68fb98a3212
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:23 +0200

## smartcardauth 14.1.5

=== usr/bin/CMakeLists.txt ===
install(
    PROGRAMS cryptosmartcard.sh
    DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
smartcardauth (4:14.1.5-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_BUILD_OPTIONS := nostrip
export DEB_BUILD_OPTIONS = debug nostrip

CFLAGS=-g -Wall -fPIC

DEB_DH_SHLIBDEPS_ARGS_ALL=--dpkg-shlibdeps-params=--ignore-missing-info

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"

## smartcardauth 14.1.6~pre0

=== debian/changelog ===
smartcardauth (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ef1870aa4045524ceca8efdfa595d68fb98a3212
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:23 +0200

## smartcardauth 14.1.6~pre1

=== debian/changelog ===
smartcardauth (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 06c4c1d835a5107e7cb041f7ce8f4f71d1f40041
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:06:16 +0100

## smartcardauth 14.2.0~pre4

=== usr/share/initramfs-tools/hooks/CMakeLists.txt ===
install(
    PROGRAMS cryptlukssc
    DESTINATION ${SHARE_INSTALL_PREFIX}/initramfs-tools/hooks
)

=== debian/changelog ===
smartcardauth (4:14.2.0~pre4-0ubuntu20.04.0+2) focal; urgency=low

  * Automated git build for 50114faca6dba193b029db0b539b60b738afeee1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:44:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, pkg-config, libpkcs11-helper1-dev, libgnutls-dev | libgnutls28-dev | libgnutls30-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, pkg-config, libpkcs11-helper1-dev, libgnutls-dev | libgnutls28-dev | libgnutls30-dev
 Standards-Version: 3.8.4
 
 Package: smartcardauth

## smartcardauth 14.2.0~pre5

=== debian/changelog ===
smartcardauth (4:14.2.0~pre5-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for ac647c3dd445bff882fc3e82bfd84e03f4976304
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#smartcardauth

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:07:52 +0100
